Probably
Docs

Keep a flagged word as it sounds

keep_word, in Changes: A connection or key that may make changes. None spends credits; prepare_* and stage tools (research, brainstorm, write_script, review, generate_clip, voice, storyboard) prepare paid work for confirm_spend.

POST
/api/v1/tools/keep_word

Keep one flagged word of the voice a video waits for you to hear as it sounds, for the voice. With no other word flagged, the voice is approved and the clips start (approved).

Authorization

apiKey
headerAuthorizationBearer <token>

An API key (prb_…) from Settings → Connections.

Request Body

application/json
  1. body
videoId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
runId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
revisionId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
word*string

The flagged word as written (words[].word)

Length1 <= length <= 120

Response Body

The tool's answer.

application/json
  1. response
status*string
Value in"kept""approved"
curl -X POST 'https://studio.probably.co/api/v1/tools/keep_word' \  -H "Authorization: Bearer $PROBABLY_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "videoId": "3524e86f-1bba-489a-bf6b-386ea1abbac0",  "runId": "78c33d18-170c-44d3-a227-b3194f134f73",  "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",  "word": "string"}'
{  "status": "kept"}